## g_energy

Main Table of Contents

VERSION 3.2.0
Sun 25 Jan 2004

### Description

g_energy extracts energy components or distance restraint data from an energy file. The user is prompted to interactively select the energy terms she wants.

Average and RMSD are calculated with full precision from the simulation (see printed manual). Drift is calculated by performing a LSQ fit of the data to a straight line. Total drift is drift multiplied by total time.

When the `-viol` option is set, the time averaged violations are plotted and the running time-averaged and instantaneous sum of violations are recalculated. Additionally running time-averaged and instantaneous distances between selected pairs can be plotted with the `-pairs` option.

Options `-ora`, `-ort`, `-oda`, `-odr` and `-odt` are used for analyzing orientation restraint data. The first two options plot the orientation, the last three the deviations of the orientations from the experimental values. The options that end on an 'a' plot the average over time as a function of restraint. The options that end on a 't' prompt the user for restraint label numbers and plot the data as a function of time. Option `-odr` plots the RMS deviation as a function of restraint. When the run used time or ensemble averaged orientation restraints, option `-orinst` can be used to analyse the instantaneous, not ensemble-averaged orientations and deviations instead of the time and ensemble averages.

With `-fee` an estimate is calculated for the free-energy difference with an ideal gas state:
Delta A = A(N,V,T) - A_idgas(N,V,T) = kT ln < e^(Upot/kT) >
Delta G = G(N,p,T) - G_idgas(N,p,T) = kT ln < e^(Upot/kT) >
where k is Boltzmann's constant, T is set by `-fetemp` andthe average is over the ensemble (or time in a trajectory). Note that this is in principle only correct when averaging over the whole (Boltzmann) ensemble and using the potential energy. This also allows for an entropy estimate using:
Delta S(N,V,T) = S(N,V,T) - S_idgas(N,V,T) = (<Upot> - Delta A)/T
Delta S(N,p,T) = S(N,p,T) - S_idgas(N,p,T) = (<Upot> + pV - Delta G)/T

When a second energy file is specified (`-f2`), a free energy difference is calculated dF = -kT ln < e ^ -(EB-EA)/kT >A , where EA and EB are the energies from the first and second energy files, and the average is over the ensemble A. NOTE that the energies must both be calculated from the same trajectory.

### Files

option | filename | type | description
--- | --- | --- | ---
`-f` | `ener.edr` | Input | Generic energy: edr ene
`-f2` | `ener.edr` | Input, Opt. | Generic energy: edr ene
`-s` | `topol.tpr` | Input, Opt. | Generic run input: tpr tpb tpa xml
`-o` | `energy.xvg` | Output | xvgr/xmgr file
`-viol` | `violaver.xvg` | Output, Opt. | xvgr/xmgr file
`-pairs` | `pairs.xvg` | Output, Opt. | xvgr/xmgr file
`-ora` | `orienta.xvg` | Output, Opt. | xvgr/xmgr file
`-ort` | `orientt.xvg` | Output, Opt. | xvgr/xmgr file
`-oda` | `orideva.xvg` | Output, Opt. | xvgr/xmgr file
`-odr` | `oridevr.xvg` | Output, Opt. | xvgr/xmgr file
`-odt` | `oridevt.xvg` | Output, Opt. | xvgr/xmgr file
`-corr` | `enecorr.xvg` | Output, Opt. | xvgr/xmgr file
`-vis` | `visco.xvg` | Output, Opt. | xvgr/xmgr file
`-ravg` | `runavgdf.xvg` | Output, Opt. | xvgr/xmgr file

### Other options

option | type | default | description
--- | --- | --- | ---
`-[no]h` | bool | `no` | Print help info and quit
`-nice` | int | `19` | Set the nicelevel
`-b` | time | `-1` | First frame (ps) to read from trajectory
`-e` | time | `-1` | Last frame (ps) to read from trajectory
`-[no]w` | bool | `no` | View output xvg, xpm, eps and pdb files
`-[no]fee` | bool | `no` | Do a free energy estimate
`-fetemp` | real | `300` | Reference temperature for free energy calculation
`-zero` | real | `0` | Subtract a zero-point energy
`-[no]sum` | bool | `no` | Sum the energy terms selected rather than display them all
`-[no]dp` | bool | `no` | Print energies in high precision
`-[no]mutot` | bool | `no` | Compute the total dipole moment from the components
`-skip` | int | `0` | Skip number of frames between data points
`-[no]aver` | bool | `no` | Print also the X1,t and sigma1,t, only if only 1 energy is requested
`-nmol` | int | `1` | Number of molecules in your sample: the energies are divided by this number
`-ndf` | int | `3` | Number of degrees of freedom per molecule. Necessary for calculating the heat capacity
`-[no]fluc` | bool | `no` | Calculate autocorrelation of energy fluctuations rather than energy itself
`-[no]orinst` | bool | `no` | Analyse instantaneous orientation data
`-acflen` | int | `-1` | Length of the ACF, default is half the number of frames
`-[no]normalize` | bool | `yes` | Normalize ACF
`-P` | enum | `0` | Order of Legendre polynomial for ACF (0 indicates none): `0`, `1`, `2` or `3`
`-fitfn` | enum | `none` | Fit function: `none`, `exp`, `aexp`, `exp_exp`, `vac`, `exp5`, `exp7` or `exp9`
`-ncskip` | int | `0` | Skip N points in the output file of correlation functions
`-beginfit` | real | `0` | Time where to begin the exponential fit of the correlation function
`-endfit` | real | `-1` | Time where to end the exponential fit of the correlation function, -1 is till the end

http://www.gromacs.org
gromacs@gromacs.org